stralloc_init(3)

NAME
stralloc_init - initialize a stralloc

SYNTAX
#include <libowfat/stralloc.h> void stralloc_init(stralloc* sa);

DESCRIPTION
stralloc_init initializes a stralloc to the empty string. It does not free any memory previously associated with a stralloc. Use stralloc_free(3) for that. If you just want to empty a stralloc, use stralloc_zero(sa) instead.

RETURN VALUE
none.

SEE ALSO
stralloc_free(3), stralloc_copys(3)